// view.java

import java.io.*;

public class view
{
   public static void main (String [] args)
   {
      if (args.length != 1)
      {
          System.out.println ("syntax: view filename");
          return;
      }

      FileInputStream fis = null;

      try
      {
          fis = new FileInputStream (new File (args [0]));

          int ch;
          while ((ch = fis.read ()) != -1)
             System.out.print ((char) ch);

          System.out.println ("");
      }
      catch (FileNotFoundException e)
      {
          System.out.println ("File not found!");
      }
      catch (IOException e)
      {
          System.out.println ("Unable to read file!");
      }
      finally
      {
          if (fis != null)
              try { fis.close (); } catch (IOException e) {}
      }
   }
}
