// animals3.java

abstract class animal
{
   private boolean extinct;

   animal (boolean extinct)
   {
      this.extinct = extinct;
   }

   abstract void eat ();

   boolean isExtinct () { return extinct; }
}

class monkey extends animal
{
   monkey (boolean extinct)
   {
      super (extinct);
   }

   void eat () { System.out.println ("Holding and eating banana!"); }
}

class cow extends animal
{
   cow (boolean extinct)
   {
      super (extinct);
   }

   void eat () { System.out.println ("Chewing grass with mouth!"); }
}

class chicken extends animal
{
   chicken (boolean extinct)
   {
      super (extinct);
   }

   void eat () { System.out.println ("Pecking grains off ground!"); }
}

class dodo extends animal
{
   dodo (boolean extinct)
   {
      super (extinct);
   }

   void eat () { System.out.println ("Pecking berries off trees!"); }
}

class animals3
{
   public static void main (String [] args)
   {
      animal [] animals =
      {
         new monkey (false),
         new cow (false),
         new chicken (false),
         new dodo (true)
      };

      for (int i = 0; i < animals.length; i++)
           if (animals [i].isExtinct ())
               System.out.println ("Animal is extinct.");
           else
               animals [i].eat ();
   }
}
