// calc.java

class calc
{
   public static void main (String [] args)
   {
      String [] usage =
      {
         "usage: calc number operator number",
         "",
         "operator is one of:",
         "",
         "x (multiplication)",
         "/ (division)",
         "+ (addition)",
         "- (subtraction)"
      };

      if (args.length != 3)
      {
          for (int i = 0; i < usage.length; i++)
               System.out.println (usage [i]);

          return;
      }

      double num1;

      try
      {
          num1 = Double.parseDouble (args [0]);
      }
      catch (NumberFormatException e)
      {
          System.out.println (e.getMessage ());
          return;
      }

      double num2;

      try
      {
          num2 = Double.parseDouble (args [2]);
      }
      catch (NumberFormatException e)
      {
          System.out.println (e.getMessage ());
          return;
      }

      char operator = args [1].charAt (0);

      switch (operator)
      {
         case 'x': System.out.println (num1 * num2);
                   break;

         case '/': System.out.println (num1 / num2);
                   break;

         case '+': System.out.println (num1 + num2);
                   break;

         case '-': System.out.println (num1 - num2);
      }
   }
}
