// sll5.java

class node
{
   private String data;
   private node next;

   node (String data)
   {
      setData (data);
      setNext (null);
   }

   void setData (String data)
   {
      this.data = data;
   }

   String getData ()
   {
      return data;
   }

   void setNext (node next)
   {
      this.next = next;
   }

   node getNext ()
   {
      return next;
   }
}

class sll5
{
   public static void main (String [] args)
   {
      node top = new node ("First node data");
      top.setNext (new node ("Second node data"));
      top.getNext ().setNext (new node ("Third node data"));

      // Delete node whose data equals "Second node data".

      node curr = top;
      node prev = null;

      while (curr != null)
         if (curr.getData ().equals ("Second node data"))
         {
             if (prev != null)
                 prev.setNext (curr.getNext ());
             else
                 top = curr.getNext ();

             break;
         }
         else
         {
             prev = curr;
             curr = curr.getNext ();
         }
             
      while (top != null)
      {
         System.out.println (top.getData ());
         top = top.getNext ();
      }
   }
}
