// JFCDemo1.java

import java.awt.*;
import java.awt.event.*;

class JFCDemo1
{
   static String [] msgs =
   {
      "Welcome to JFC",
      "JFC includes the Abstract Windowing Tookit",
      "JFC includes Swing",
      "JFC includes Java2D",
      "JFC includes Accessibility",
      "JFC includes Drag and Drop"
   };

   final static Label l = new Label (msgs [0]);

   public static void main (String [] args)
   {
      Frame f = new Frame ("JFCDemo #1");
      f.addWindowListener
      (new WindowAdapter ()
           {
              public void windowClosing (WindowEvent e)
                          {
                             System.exit (0);
                          }
           }
      );

      Panel pane = new Panel ();
      pane.setLayout (new BorderLayout ());

      Button b = new Button ("Press Me!");
      b.addActionListener
      (new ActionListener ()
           {
              public void actionPerformed (ActionEvent ae)
                          {
                             int n = (int) (Math.random () *
                                            msgs.length);
                              l.setText (msgs [n]);
                          }
           }
      );
      pane.add ("North", b);

      pane.add ("South", l);

      f.add (pane);

      f.setSize (300, 100);
      f.setVisible (true);
   }
}
