// clDemo.java

import java.awt.*;
import java.awt.event.*;
import java.applet.Applet;

public class clDemo extends Applet implements ActionListener
{
   Panel cp;
   CardLayout cl;

   public void init ()
   {
      // Change clDemo's default layout manager to
      // BorderLayout.

      setLayout (new BorderLayout ());

      // Create a button that is pressed to flip cards.

      Button b = new Button ("Next Card");

      // Identify current clDemo object as object that
      // listens for Button press events (also known as
      // action events).

      b.addActionListener (this);

      // Add button to North area of clDemo.

      add ("North", b);

      // Create a Card Panel object and set its layout
      // to CardLayout.

      cp = new Panel ();
      cl = new CardLayout ();
      cp.setLayout (cl);

      // Create the contents of the first card.

      Panel p1 = new Panel ();
      List l = new List (4, false);
      l.add ("First");
      l.add ("Second");
      l.add ("Third");
      l.add ("Fourth");
      l.add ("Fifth");
      p1.add (l);

      // Add first card to card panel.

      cp.add ("Component1", p1);

      // Create the contents of the second card.

      Panel p2 = new Panel ();
      p2.add (new Button ("Ok"));
      p2.add (new Button ("Cancel"));

      // Add second card to card panel.

      cp.add ("Component2", p2);

      // Add card panel to Center area of clDemo. 

      add ("Center", cp);

      // Color clDemo's background light gray.

      setBackground (Color.lightGray);
   }

   public void actionPerformed (ActionEvent e)
   {
      // Flip from one card to another card.

      cl.next (cp);
   }
}
