// class dosdis.java

import java.io.*;

class dosdis
{
   public static void main (String [] args) throws IOException
   {
      // Create file output stream attached to data.dat file.

      FileOutputStream fos = new FileOutputStream ("data.dat");

      // Create data output stream chained to fos.

      DataOutputStream dos = new DataOutputStream (fos);

      // Write the integer value 256 to the data output stream.
      // This gets sent to the file output stream.

      dos.writeInt (256);

      // Write the float value 32.5f to the data output stream.
      // This gets sent to the file output stream.

      dos.writeFloat (32.5f);

      // Close the file associated with the output stream.

      fos.close ();

      // Create file input stream attached to data.dat file.

      FileInputStream fis = new FileInputStream ("data.dat");

      // Create data input stream chained to fis.

      DataInputStream dis = new DataInputStream (fis);

      // Read the previously output integer.

      int i = dis.readInt ();

      // Display this integer.

      System.out.println (i);

      // Read the previously output floating point value.

      float f = dis.readFloat ();

      // Display this floating point value.

      System.out.println (f);

      // Close the file associated with the input stream.

      fis.close ();
   }
}
