// takeInventory.java

interface inventory
{
   String getItemName ();
   int getNumUnits ();
}

abstract class tool
{
}

class hammer extends tool implements inventory
{
   private String manufacturer;
   int numUnits;

   hammer (String manufacturer, int numUnits)
   {
      this.manufacturer = manufacturer;
      this.numUnits = numUnits;
   }

   public String getItemName () { return "Hammer"; }
   public int getNumUnits () { return numUnits; }
}

abstract class sportscar
{
}

class camaro extends sportscar implements inventory
{
   private String model;
   private String color;
   private int quantity;

   camaro (String model, String color, int quantity)
   {
      this.model = model;
      this.color = color;
      this.quantity = quantity;
   }

   public String getItemName () { return "Camaro"; }
   public int getNumUnits () { return quantity; }
}

class takeInventory
{
   public static void main (String [] args)
   {
      inventory [] inv =
      {
         new hammer ("Sears", 59),
         new camaro ("Z28", "red", 3)
      };

      for (int i = 0; i < inv.length; i++)
      {
           System.out.println ("Item name = " +
                inv [i].getItemName ());

           System.out.println ("Number of units = " +
                inv [i].getNumUnits ());
      }
   }
}
