// vectorDemo.java

import java.util.*;

class employee
{
   private String name;
   private double salary;

   employee (String name, double salary)
   {
      this.name = name;
      this.salary = salary;
   }

   public String toString ()
   {
      return "Name = " + name + ", Salary = " + salary;
   }
}

class vectorDemo
{
   public static void main (String [] args)
   {
      String [] names = { "John", "Sally", "June" };

      double [] salaries = { 50000.0, 40500.0, 60000.0 };

      // Create a Vector object with an initial array capacity of 20.

      Vector v = new Vector (20);

      for (int i = 0; i < 20; i++)
      {
           // Return a random integer from 1 to 2.

           int choice = 1 + (int) (Math.random () * 2);

           Object o = null;
           switch (choice)
           {
              case 1: int j = (int) (Math.random () * names.length);
                      int k = (int) (Math.random () * salaries.length);
                      o = new employee (names [j], salaries [k]);
                      break;

              case 2: o = new Character ((char) ('A' + i));
           }

           v.addElement (o);
      }

      // Output Vector object v's contents.

      Enumeration e = v.elements (); 
      while (e.hasMoreElements ())
      {
         Object o = e.nextElement ();

         if (o instanceof employee)
             System.out.println ((employee) o);
         else
             System.out.println (((Character) o).charValue ());
      }
   }
}
