// dll1.java

class node
{
   private String data;
   private node next;
   private node previous;

   node (String data)
   {
      setData (data);
      setNext (null);
      setPrevious (null);
   }

   void setData (String data)
   {
      this.data = data;
   }

   String getData ()
   {
      return data;
   }

   void setNext (node next)
   {
      this.next = next;
   }

   node getNext ()
   {
      return next;
   }

   void setPrevious (node previous)
   {
      this.previous = previous;
   }

   node getPrevious ()
   {
      return previous;
   }
}

class dll1
{
   public static void main (String [] args)
   {
      // Create top node.

      node top = new node ("Some data");

      // Create bottom node.

      node bottom = new node ("Some more data");

      // Link bottom node after top node (in forward singly-linked
      // list).

      top.setNext (bottom);

      // Link top node after bottom node (in backward singly-linked
      // list).

      bottom.setPrevious (top);

      // Traverse the doubly-linked list in a forward direction.

      while (top != null)
      {
         System.out.println (top.getData ());
         top = top.getNext ();
      }

      // Print a blank line.

      System.out.println ("");

      // Traverse the doubly-linked list in a backward direction.

      while (bottom != null)
      {
         System.out.println (bottom.getData ());
         bottom = bottom.getPrevious ();
      }
   }
}
